#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gtk
Version		:	4.17.0
Release		:	17.2.0.rel%{?dist}
Summary		:	GTK graphical user interface library


Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://download.gnome.org/sources/gtk/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	cairo-gobject-devel
BuildRequires	:	colord-devel
BuildRequires	:	cups-devel
BuildRequires	:	fribidi
BuildRequires	:	gdk-pixbuf
BuildRequires	:	graphene-devel
BuildRequires	:	glib-devel
BuildRequires	:	glslc
BuildRequires	:	gobject-introspection
BuildRequires	:	gst-plugins-base
BuildRequires	:	gst-plugins-bad-devel
BuildRequires	:	iso-codes
BuildRequires	:	libepoxy
BuildRequires	:	libxkbcommon
BuildRequires	:	librsvg-devel
BuildRequires	:	pango
BuildRequires	:	python3-docutils
BuildRequires	:	python3-markdown
BuildRequires	:	python3-pygobject
BuildRequires	:	python3-smartypants
BuildRequires	:	python3-typogrify
BuildRequires	:	tracker-devel
BuildRequires	:	Vulkan-Loader-devel
BuildRequires	:	wayland-protocols
BuildRequires	:	xorg-libXi
BuildRequires	:	xorg-libXcursor
BuildRequires	:	xorg-libXdamage
BuildRequires	:	xorg-libXinerama
BuildRequires	:	xrandr

#-----------------------------------------------------------------------------
%description
GTK is a multi-platform toolkit for creating graphical user
interfaces. Offering a complete set of widgets, GTK is suitable for
projects ranging from small one-off tools to complete application
suites.

This package contains version 4 of GTK.

#-----------------------------------------------------------------------------
%files			-f gtk40.lang
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS NEWS README.md
%{_bindir}/%{name}4-broadwayd
%{_bindir}/%{name}4-launch
%{_bindir}/%{name}4-image-tool
%{_bindir}/%{name}4-update-icon-cache
%{_libdir}/lib%{name}-4.so.1*
%{_libdir}/gtk-4.0/4.0.0/media/libmedia-gstreamer.so
#{_libdir}/gtk-4.0/4.0.0/media/libmedia-ffmpeg.so
%{_libdir}/gtk-4.0/4.0.0/printbackends/libprintbackend-*.so
%{_libdir}/girepository-1.0/G*-4.0.typelib
%{_datadir}/%{name}-4.0/emoji/*.gresource
%{_datadir}/glib-2.0/schemas/org.%{name}.%{name}4.Settings.ColorChooser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.%{name}.%{name}4.Settings.Debug.gschema.xml
%{_datadir}/glib-2.0/schemas/org.%{name}.%{name}4.Settings.EmojiChooser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.%{name}.%{name}4.Settings.FileChooser.gschema.xml
%{_datadir}/metainfo/org.%{name}.Demo4.appdata.xml
%{_datadir}/metainfo/org.%{name}.%{name}4.NodeEditor.appdata.xml
%{_datadir}/metainfo/org.%{name}.PrintEditor4.appdata.xml
%{_datadir}/metainfo/org.%{name}.WidgetFactory4.appdata.xml
%{_mandir}/man1/%{name}4-broadwayd.1.gz
%{_mandir}/man1/%{name}4-launch.1.gz
%{_mandir}/man1/%{name}4-image-tool.1.gz
%{_mandir}/man1/%{name}4-update-icon-cache.1.gz
%{_mandir}/man1/%{name}4-demo.1.gz
%{_mandir}/man1/%{name}4-demo-application.1.gz
%{_mandir}/man1/%{name}4-widget-factory.1.gz

#=============================================================================
%package		devel
Summary		:	Development files for GTK
	
#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains the libraries and header files
that are needed for writing applications with version 4
of the GTK widget toolkit.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_bindir}/%{name}4-demo
%{_bindir}/%{name}4-demo-application
%{_bindir}/%{name}4-node-editor
%{_bindir}/%{name}4-print-editor
%{_bindir}/%{name}4-widget-factory
%{_bindir}/%{name}4-builder-tool
%{_bindir}/%{name}4-encode-symbolic-svg
%{_bindir}/%{name}4-query-settings
%{_bindir}/%{name}4-path-tool
%{_bindir}/%{name}4-rendernode-tool
%{_includedir}/%{name}-4.0/%{name}/*.h
%{_includedir}/%{name}-4.0/%{name}/css/*
%{_includedir}/%{name}-4.0/%{name}/deprecated/*.h
%{_includedir}/%{name}-4.0/gdk/deprecated/*.h
%{_includedir}/%{name}-4.0/gdk/*.h
%{_includedir}/%{name}-4.0/gdk/broadway/*.h
%{_includedir}/%{name}-4.0/gdk/version/*.h
%{_includedir}/%{name}-4.0/gdk/wayland/*.h
%{_includedir}/%{name}-4.0/gdk/x11/*.h
%{_includedir}/%{name}-4.0/gsk/*.h
%{_includedir}/%{name}-4.0/gsk/gpu/*.h
%{_includedir}/%{name}-4.0/gsk/broadway/*.h
%{_includedir}/%{name}-4.0/gsk/gl/*.h
%{_includedir}/%{name}-4.0/%{name}/a11y/*.h
%{_includedir}/%{name}-4.0/%{name}/print/*.h
%{_includedir}/%{name}-4.0/unix-print/%{name}/*.h
%{_includedir}/%{name}-4.0/unix-print/%{name}/print/*.h
%{_libdir}/lib%{name}-4.so
%{_libdir}/pkgconfig/%{name}4.pc
%{_libdir}/pkgconfig/%{name}4-*.pc
%{_datadir}/gir-1.0/G*-4.0.gir
%{_datadir}/%{name}-4.0/valgrind/%{name}.supp
%{_datadir}/%{name}-4.0/gtk4builder.rng
%{_datadir}/applications/org.%{name}.Demo4.desktop
%{_datadir}/applications/org.%{name}.%{name}4.NodeEditor.desktop
%{_datadir}/applications/org.%{name}.PrintEditor4.desktop
%{_datadir}/applications/org.%{name}.WidgetFactory4.desktop
%{_datadir}/gettext/its/%{name}4builder.*
%{_datadir}/icons/hicolor/*/apps/org.%{name}.Demo4*.svg
%{_datadir}/icons/hicolor/*/apps/org.%{name}.%{name}4.NodeEditor*.svg
%{_datadir}/icons/hicolor/*/apps/org.%{name}.PrintEditor4*.svg
%{_datadir}/icons/hicolor/*/apps/org.%{name}.WidgetFactory4*.svg
%{_datadir}/glib-2.0/schemas/org.%{name}.Demo4.gschema.xml
%{_mandir}/man1/%{name}4-builder-tool.1.gz
%{_mandir}/man1/%{name}4-node-editor.1.gz
%{_mandir}/man1/%{name}4-encode-symbolic-svg.1.gz
%{_mandir}/man1/%{name}4-query-settings.1.gz
%{_mandir}/man1/%{name}4-path-tool.1.gz
%{_mandir}/man1/%{name}4-rendernode-tool.1.gz

#=============================================================================
%package		devel-docs
Summary		:	Developer documentation for GTK
	
#-----------------------------------------------------------------------------
BuildArch	:	noarch
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel-docs
This package contains developer documentation for
version 4 of the GTK widget toolkit.

#-----------------------------------------------------------------------------
%files			devel-docs
%{_datadir}/doc/%{name}4/
%{_datadir}/doc/gdk4/
%{_datadir}/doc/gdk4-x11/
%{_datadir}/doc/gdk4-wayland/
%{_datadir}/doc/gsk4/

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--buildtype=release				\
	-D broadway-backend=true			\
	-D colord=enabled 				\
	-D print-cups=enabled 				\
	-D documentation=true 				\
	-D introspection=enabled			\
	-D man-pages=true 				\
	-D sysprof=disabled				\
	-D tracker=enabled 				\
	-D vulkan=enabled				\
	build

	
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja 							\
	-C build					\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
	-C build					\
	install

%find_lang %{name}40
#find_lang %{name}40-properties

#-----------------------------------------------------------------------------
%changelog
